Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.netz
Class Verbindung

    java.lang.Object
      java.lang.Thread
          sum.netz.Verbindung

All Implemented Interfaces:
  Serializable, Runnable

Direct Known Subclasses:
  Clientverbindung, Serververbindung

    public class Verbindung

extends Thread
implements Serializable

Eine Verbindung ist ein Socket, der eine vereinfachte Ein- und Ausgabe bietet.
Fehlermeldungen werden ausgegeben.
Auf Wunsch wird jeder Schritt mitprotokolliert.
Die Verbindung ist nicht nebenläufig realisiert.
Da sie eine Unterklasse von Thread ist, können Unterklassen der Verbindung nebenläufig arbeiten.

Version:
  7.3 vom 11.10.2011
Author:
  Horst Hildebrecht
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`protected boolean` | `zVerbindungAktiv`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `Verbindung()` Nur aus technischen Gründen enthaltener Konstruktor.
`` | `Verbindung(Socket pSocket, boolean pTestModus)` Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.
`` | `Verbindung(String pIPAdresse, int pPortNr, boolean pTestModus)` Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

Method Summary
`String` | `eigeneAdresse()` Die eigene IP-Nummer wird geliefert.
`int` | `eigenerPort()` Der eigene Port wird geliefert.
`String` | `empfangeneNachricht()` Ein Text des Eingabestreams wurde geliefert.
`protected void` | `erstelleVerbindung(Socket pSocket, boolean pTestModus)` Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.
`void` | `gibFrei()` Die Verbindung wurde mit Ein- und Ausgabestreams geschlossen.
`boolean` | `mitProtokoll()` gibt an, ob alle Operationen der Verbindung mitprotokolliert werden sollen.
`String` | `partnerAdresse()` Die IP-Nummer des Partners wird geliefert.
`int` | `partnerPort()` Der Port des Partners wird geliefert.
`void` | `sende(String pNachricht)` Ein Text wurde in den Ausgabestream geschrieben.
`String` | `toString()`
`protected Socket` | `verbindungsSocket()` liefert den Socket der Verbindung
`boolean` | `vorhanden()` Es wird geliefert, ob tatsaechlich eine Verbindung vorhanden ist.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### zVerbindungAktiv

    protected boolean zVerbindungAktiv

Constructor Detail

### Verbindung

    protected Verbindung()

  Nur aus technischen Gründen enthaltener Konstruktor.

### Verbindung

    public Verbindung(Socket pSocket,
                      boolean pTestModus)

  Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

  Parameters:
    `pSocket` - Socket, der die Verbindung beschreibt
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.

### Verbindung

    public Verbindung(String pIPAdresse,
                      int pPortNr,
                      boolean pTestModus)

  Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

  Parameters:
    `pIPAdresse` - IP-Adresse bzw. Domain des Partners
    `pPortNr` - Portnummer des Sockets
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.

Method Detail

### eigeneAdresse

    public String eigeneAdresse()

  Die eigene IP-Nummer wird geliefert.

### eigenerPort

    public int eigenerPort()

  Der eigene Port wird geliefert.

### empfangeneNachricht

    public String empfangeneNachricht()

  Ein Text des Eingabestreams wurde geliefert.

### erstelleVerbindung

    protected void erstelleVerbindung(Socket pSocket,
                                      boolean pTestModus)

  Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

  Parameters:
    `pSocket` - Socket, der die Verbindung beschreibt
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.

### gibFrei

    public void gibFrei()

  Die Verbindung wurde mit Ein- und Ausgabestreams geschlossen.

### mitProtokoll

    public boolean mitProtokoll()

  gibt an, ob alle Operationen der Verbindung mitprotokolliert werden sollen.

### partnerAdresse

    public String partnerAdresse()

  Die IP-Nummer des Partners wird geliefert.

### partnerPort

    public int partnerPort()

  Der Port des Partners wird geliefert.

### sende

    public void sende(String pNachricht)

  Ein Text wurde in den Ausgabestream geschrieben.

  Parameters:
    `pNachricht` - Text, der geschrieben werden soll

### toString

    public String toString()

  Overrides:
    `toString` in class `Thread`

### verbindungsSocket

    protected Socket verbindungsSocket()

  liefert den Socket der Verbindung

### vorhanden

    public boolean vorhanden()

  Es wird geliefert, ob tatsaechlich eine Verbindung vorhanden ist.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD